## RygelMediaRendererPlugin

RygelMediaRendererPlugin — This is the base class for every Rygel UPnP renderer plugin.

## Functions

#define | RYGEL_TYPE_MEDIA_RENDERER_PLUGIN
RygelMediaPlayer * | rygel_media_renderer_plugin_get_player ()
gchar * | rygel_media_renderer_plugin_get_protocol_info ()
RygelMediaRendererPlugin * | rygel_media_renderer_plugin_new ()
GList * | rygel_media_renderer_plugin_get_supported_profiles ()
void | rygel_media_renderer_plugin_set_supported_profiles ()

## Properties

gpointer | supported-profiles | Read / Write / Construct

## Types and Values

struct | RygelMediaRendererPlugin
struct | RygelMediaRendererPluginClass

## Object Hierarchy

        GObject
        ╰── GUPnPResourceFactory
            ╰── RygelPlugin
                ╰── RygelMediaRendererPlugin

## Description

This class is useful when implementing Rygel renderer plugins.

Renderer plugins should also implement their own RygelMediaPlayer and return an instance of it from their `get_player()` implementation.

## Functions

### RYGEL_TYPE_MEDIA_RENDERER_PLUGIN

    #define RYGEL_TYPE_MEDIA_RENDERER_PLUGIN (rygel_media_renderer_plugin_get_type ())

The type for RygelMediaRendererPlugin.

### rygel_media_renderer_plugin_get_player ()

    RygelMediaPlayer *
    rygel_media_renderer_plugin_get_player
                                   (RygelMediaRendererPlugin *self);

#### Parameters

self | the RygelMediaRendererPlugin instance |

### rygel_media_renderer_plugin_get_protocol_info ()

    gchar *
    rygel_media_renderer_plugin_get_protocol_info
                                   (RygelMediaRendererPlugin *self);

#### Parameters

self | the RygelMediaRendererPlugin instance |

### rygel_media_renderer_plugin_new ()

    RygelMediaRendererPlugin *
    rygel_media_renderer_plugin_new (const gchar *name,
                                     const gchar *title,
                                     const gchar *description,
                                     RygelPluginCapabilities capabilities);

Create an instance of the plugin.

#### Parameters

name | . The non-human-readable name for the plugin and its renderer, used in UPnP messages and in the Rygel configuration file. | [in]
title | . An optional human-readable name (friendlyName) of the UPnP renderer provided by the plugin. If the title is empty then the name will be used. | [in][allow-none]
description | . An optional human-readable description (modelDescription) of the UPnP renderer provided by the plugin. | [in][allow-none]
capabilities |  |

### rygel_media_renderer_plugin_get_supported_profiles ()

    GList *
    rygel_media_renderer_plugin_get_supported_profiles
                                   (RygelMediaRendererPlugin *self);

Get and return the current value of the "supported-profiles" property.

#### Parameters

self | the RygelMediaRendererPlugin instance to query |

#### Returns

the value of the "supported-profiles" property

### rygel_media_renderer_plugin_set_supported_profiles ()

    void
    rygel_media_renderer_plugin_set_supported_profiles
                                   (RygelMediaRendererPlugin *self,
                                    GList *value);

Set the value of the "supported-profiles" property to `value` .

#### Parameters

self | the RygelMediaRendererPlugin instance to modify |
value | the new value of the "supported-profiles" property |

## Types and Values

### struct RygelMediaRendererPlugin

    struct RygelMediaRendererPlugin;

This is the base class for every Rygel UPnP renderer plugin.

This class is useful when implementing Rygel renderer plugins.

Renderer plugins should also implement their own RygelMediaPlayer and return an instance of it from their `get_player()` implementation.

### struct RygelMediaRendererPluginClass

    struct RygelMediaRendererPluginClass {
    	RygelPluginClass parent_class;
    	RygelMediaPlayer* (*get_player) (RygelMediaRendererPlugin* self);
    };

The class structure for `RYGEL_TYPE_MEDIA_RENDERER_PLUGIN`. All the fields in this structure are private and should never be accessed directly.

#### Members

RygelPluginClass `parent_class`; | the parent class structure |
`get_player` () | virtual method called by `rygel_media_renderer_plugin_get_player()` |

## Property Details

### The `“supported-profiles”` property

      “supported-profiles”       gpointer

supported-profiles.

Flags: Read / Write / Construct